> For the complete documentation index, see [llms.txt](https://docs.digibee.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digibee.com/documentation/release-notes/pt-br/past-releases/release-notes-2022/janeiro.md).

# Janeiro

## Novidades 18/01/2022

#### PROVEDORES DE AUTENTICAÇÃO OAuth <a href="#h_36a88f7f0d" id="h_36a88f7f0d"></a>

Estamos evoluindo o cadastro de provedores de autenticação OAuth dentro da Plataforma.\
Até então, era possível integrar provedores que seguiam padrões RFC 6749 utilizando a aplicação Digibee através de uma solicitação para o time de desenvolvimento de produtos.

Com esta primeira entrega é possível cadastrar provedores dedicados ao seu *realm* (que utilizam a aplicação do cliente) através da Plataforma a partir dos provedores pré-cadastrados na Digibee.

Assim, é possível utilizar os recursos de contas corporativas da Microsoft, além de contas homologadas no Mercado Livre e apps validados pelo Google.

[Clique aqui](broken://pages/zw83IYD10K31KIg2kPjV) para saber mais sobre os provedores de autenticação Oauth.\
[Clique aqui](broken://pages/asrNWdFPmmyI2Mv11i2l) para ler o artigo completo sobre o fluxo de cadastro de provedores Oauth dentro da Plataforma.

#### TRIGGERS <a href="#h_59f05fbf75" id="h_59f05fbf75"></a>

* **HTTP, HTTP File e REST:** agora, os triggers HTTP, HTTP File e REST possibilitam o cadastro de *headers* na resposta de requisições ao *pipeline*. Isto permite, por exemplo, o cadastro de *headers* que ampliam a segurança na comunicação dos *pipelines*.\
  \
  Exemplos:\
  `"Strict-Transport-Security" : "max-age=648000; includeSubDomains; preload",`\
  `"Cache-Control" : "no-store",`\
  `"Content-Security-Policy" : "frame-ancestors 'none';",`\
  `"X-Content-Type-Options" : "nosniff",`\
  `"X-Frame-Options" : "DENY"`\
  \
  **IMPORTANTE**: [Clique aqui](broken://pages/6tWAzWvi6lpMF7wOAyLu) para ler o artigo atualizado do componente

#### COMPONENTES <a href="#h_14193c4b8b" id="h_14193c4b8b"></a>

* **JWT:** atualizamos o componente e adicionamos 3 novos algoritmos para a assinatura de *tokens* - ES256, ES384 e ES512. [Clique aqui](broken://pages/fuZemat1KHHaOCCzEA4M) para ler o artigo atualizado do componente.

Nós também solucionamos um *bug*:

* **Globals**: corrigimos o erro que permitia cadastrar Globals com letras maiúsculas, apesar dos caracteres invalidarem o uso de tal Global no *pipeline*.\
  **IMPORTANTE**: Globals cadastradas erroneamente (com letras maiúsculas) devem ser deletadas.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.digibee.com/documentation/release-notes/pt-br/past-releases/release-notes-2022/janeiro.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
